classification
Title: IDLE: remove positional-only note from calltips
Type: enhancement Stage: resolved
Components: IDLE Versions: Python 3.10, Python 3.9, Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: terry.reedy Nosy List: miss-islington, rhettinger, terry.reedy
Priority: normal Keywords: patch

Created on 2020-04-04 20:28 by terry.reedy, last changed 2020-09-22 06:54 by terry.reedy. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 22350 merged terry.reedy, 2020-09-22 04:49
PR 22351 merged miss-islington, 2020-09-22 05:44
PR 22352 merged miss-islington, 2020-09-22 05:44
Messages (7)
msg365777 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2020-04-04 20:28
IDLE calltips currently contain "  # '/' marks preceding args as positional-only." when the signature contains '/' because, before 3.8, '/' was only used by argument clinic and only displayed by inspect.signature.  Now that '/' is a regular part of Python, the special note is not needed for the 3.8+ versions of IDLE.

The get_argspec docstring also needs updating, and I think the body has some redundant code.  The main test change needed is to remove the '/' note from expected returns.  I may first isolate any affected tests to minimize the difference between 3.7 and 3.8-9 code, so as to minimize the possibility of merge conflicts in backports.
msg365778 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2020-04-04 20:35
#35763 reduced the footprint of the note.
#35764 is about revising the calltip doc.  Part of the intention was to add something about '/'.  Maybe no need now, but if I did, I might remove the calltip note in 3.7.
msg377285 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2020-09-21 21:06
My students find the note to be very distracting.  It is something that is needed no more than once.  Afterwards, it becomes something that you have to train yourself to ignore.
msg377300 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2020-09-22 05:44
New changeset 40a0625792e795cd41c4ba20475e3b770b53817a by Terry Jan Reedy in branch 'master':
bpo-40181: Remove '/' reminder in IDLE calltips. (GH-22350)
https://github.com/python/cpython/commit/40a0625792e795cd41c4ba20475e3b770b53817a
msg377301 - (view) Author: miss-islington (miss-islington) Date: 2020-09-22 06:02
New changeset 7bcbb536dde2308558c6a80c011042c6c3efc626 by Miss Islington (bot) in branch '3.8':
bpo-40181: Remove '/' reminder in IDLE calltips. (GH-22350)
https://github.com/python/cpython/commit/7bcbb536dde2308558c6a80c011042c6c3efc626
msg377302 - (view) Author: miss-islington (miss-islington) Date: 2020-09-22 06:05
New changeset 6b731c48786bd30e9f8b86302dfb95a2640979a1 by Miss Islington (bot) in branch '3.9':
bpo-40181: Remove '/' reminder in IDLE calltips. (GH-22350)
https://github.com/python/cpython/commit/6b731c48786bd30e9f8b86302dfb95a2640979a1
msg377304 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2020-09-22 06:54
Agreed. Patch removes the note, including from tests.
History
Date User Action Args
2020-09-22 06:54:24terry.reedysetstatus: open -> closed
resolution: fixed
stage: commit review -> resolved
2020-09-22 06:54:08terry.reedysetstage: patch review -> commit review
messages: + msg377304
versions: + Python 3.10, - Python 3.7
2020-09-22 06:05:15miss-islingtonsetmessages: + msg377302
2020-09-22 06:02:53miss-islingtonsetmessages: + msg377301
2020-09-22 05:44:26miss-islingtonsetpull_requests: + pull_request21391
2020-09-22 05:44:19miss-islingtonsetnosy: + miss-islington
pull_requests: + pull_request21390
2020-09-22 05:44:03terry.reedysetmessages: + msg377300
2020-09-22 04:49:36terry.reedysetkeywords: + patch
stage: test needed -> patch review
pull_requests: + pull_request21389
2020-09-21 21:06:32rhettingersetnosy: + rhettinger
messages: + msg377285
2020-09-21 19:27:29iritkatrielsetassignee: terry.reedy
components: + IDLE
2020-04-04 20:35:35terry.reedysetmessages: + msg365778
2020-04-04 20:28:14terry.reedycreate